Add a tool to a tool server
curl --request POST \
--url https://api.devic.ai/v1/tool-servers/{toolServerId}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": {
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}
}
'import requests
url = "https://api.devic.ai/v1/tool-servers/{toolServerId}/tools"
payload = { "tool": {
"function": {
"name": "<string>",
"description": "<string>",
"strict": True,
"parameters": {
"type": "<string>",
"properties": {},
"required": ["<string>"],
"additionalProperties": True
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": ["<string>"],
"pathParametersKeys": ["<string>"],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": True,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": True,
"responsePostProcessingTemplate": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: {
function: {
name: '<string>',
description: '<string>',
strict: true,
parameters: {
type: '<string>',
properties: {},
required: ['<string>'],
additionalProperties: true
}
},
type: 'function',
endpoint: '<string>',
queryParametersKeys: ['<string>'],
pathParametersKeys: ['<string>'],
bodyPropertyKey: '<string>',
customHeaders: [{headerName: '<string>', value: '<string>'}],
isFormDataBody: true,
bodyJsonTemplate: '<string>',
responsePostProcessingEnabled: true,
responsePostProcessingTemplate: '<string>'
}
})
};
fetch('https://api.devic.ai/v1/tool-servers/{toolServerId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}Tool Servers
Add a tool to a tool server
Adds a new tool definition to the tool server. If the tool server does not have a definition, one will be created.
POST
/
v1
/
tool-servers
/
{toolServerId}
/
tools
Add a tool to a tool server
Authorizations
Use JWT token for authentication
Path Parameters
The unique identifier of the tool server
Body
application/json
Tool definition to add
Show child attributes
Show child attributes
Response
Tool added successfully
Show child attributes
Show child attributes
Tool type (always 'function')
Available options:
function API endpoint for the tool
HTTP method
Available options:
GET, POST, PUT, DELETE, PATCH Query parameter keys
Path parameter keys
Body property key for request body
Custom headers for the tool
Show child attributes
Show child attributes
Whether the body is form data
Body mode
Available options:
simple, advanced JSON body template for advanced mode
Whether response post-processing is enabled
JS expression template for response post-processing
⌘I